//------------------------------------------------------------------------------
function mostrar(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto
                 
  });
   var parametros = {"accion":'listado',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);}})
}


function mostrargrad(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto

  });
   var parametros = {"accion":'listadograd',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);
                }
            })
}


function mostrar_asignatura(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto

  });

  var grado=get('g_id1');
  var curso=get('c_id1');
   var parametros = {"accion":'listado_asignatura',"tabla":tabla,"id1":id1,"id2":id2,"grado":grado,"curso":curso};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);
                }
            })
}





function mostrarcurso(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto

  });

var id=get("g_id1");
    if(id=='')
        {
            alert("Ingrese Grado")
            exit();
        }else{

   var parametros = {"accion":'listacurso',"grado":id,"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){

                    if(opciones=='no'){
                         alert ('No Existen Registros Ingrese Otro Grado');
                               document.getElementById(id1).value='';
                               document.getElementById(id2).value='';
                               document.getElementById(id1).focus();
                    }else{
                        $("#dialog").html(opciones);
                    }
                }
            })
    }
}


function mostrardocente(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto

  });
   var parametros = {"accion":'listadodocente',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){
                    $("#dialog").html(opciones);

            }})
}

//-------------------------------------------------------

function mostrar_lista(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');
    });

    if(document.getElementById('logrost')){
    informacion_tabla();}
}

function mostrar_listagrad(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');
    });

    document.getElementById('c_id1').value='';
    document.getElementById('c_id2').value='';

    if(document.getElementById('logrost')){
    informacion_tabla();}

}


//--------------------------------------------------------

function limpiar(id1,id2){

    if (document.getElementById(id1).value==''){
        document.getElementById(id2).value='';
    }

}

function al_salir(id1,id2,tabla){
    
    var codigo=document.getElementById(id1).value;

      
    if (codigo!=''){

       var parametros = {"accion":'al_salir',"codigo":codigo,"tabla":tabla};
                       $.ajax({
                       data:  parametros,
                       url:"app/model/catalogos.php",
                       type: "POST",
                       success: function(respuesta){

                       
                           if (respuesta!="0"){
                            document.getElementById(id2).value=respuesta;
                            informacion_tabla();
                           }
                           else{
                               alert ('No Existe Registro');
                               document.getElementById(id1).value='';
                               document.getElementById(id2).value='';
                               document.getElementById(id1).focus();
                           }

                }})

    }else{
        limpiar(id1,id2);
    }
}

function al_salir_asignatura(id1,id2,tabla){

    var codigo=document.getElementById(id1).value;


    if (codigo!=''){

        var grado=get('g_id1');
        var curso=get('c_id1');
        var parametros = {"accion":'al_salir_asig',"tabla":tabla,"id1":id1,"id2":id2,"grado":grado,"codigo":codigo,"curso":curso};

                       $.ajax({
                       data:  parametros,
                       url:"app/model/catalogos.php",
                       type: "POST",
                       success: function(respuesta){


                           if (respuesta!="0"){
                            document.getElementById(id2).value=respuesta;
                            informacion_tabla();
                           }
                           else{
                               alert ('No Existe Registro');
                               document.getElementById(id1).value='';
                               document.getElementById(id2).value='';
                               document.getElementById(id1).focus();
                           }

                }})

    }else{
        limpiar(id1,id2);
    }
}

function al_salirgrad(id1,id2,tabla){

    var codigo=document.getElementById(id1).value;


    if (codigo!=''){

       var parametros = {"accion":'al_salir',"codigo":codigo,"tabla":tabla};
                       $.ajax({
                       data:  parametros,
                       url:"app/model/catalogos.php",
                       type: "POST",
                       success: function(respuesta){


                           if (respuesta!="0"){
                            document.getElementById(id2).value=respuesta;
                            document.getElementById('c_id1').value='';
                            document.getElementById('c_id2').value='';
                            informacion_tabla();

                           }
                           else{
                               alert ('No Existe Registro');
                               document.getElementById(id1).value='';
                               document.getElementById(id2).value='';
                               document.getElementById(id1).focus();
                           }

                }})

    }else{
        limpiar(id1,id2);
    }
}

function al_salircurso(id1,id2,tabla){

    var id=get("g_id1");
    if(id=='')
        {
            if(get('c_id1')!=''){
                alert("Ingrese Grado")
                document.getElementById("c_id1").value='';
                document.getElementById("g_id1").focus();
            }else{
                limpiar(id1,id2);
                exit();
            }
            }else{
                var codigo=document.getElementById(id1).value;


                if (codigo!=''){

                   var parametros = {"accion":'al_salirc',"grado":id,"codigo":codigo,"tabla":tabla};
                                   $.ajax({
                                   data:  parametros,
                                   url:"app/model/catalogos.php",
                                   type: "POST",
                                   success: function(respuesta){


                                       if (respuesta!="0"){
                                        document.getElementById(id2).value=respuesta;
                                        informacion_tabla();
                                       }
                                       else{
                                           alert ('No Existe Registro');
                                           document.getElementById(id1).value='';
                                           document.getElementById(id2).value='';
                                           document.getElementById(id1).focus();
                                       }

                            }})

                }
        }
}



function al_salirdocente(id1,id2,tabla){

    var codigo=document.getElementById(id1).value;


    if (codigo!=''){

       var parametros = {"accion":'al_salirdocen',"codigo":codigo,"tabla":tabla};
                       $.ajax({
                       data:  parametros,
                       url:"app/model/catalogos.php",
                       type: "POST",
                       success: function(respuesta){


                           if (respuesta!="0"){
                            document.getElementById(id2).value=respuesta;
                            informacion_tabla();
                           }
                           else{
                               alert ('No Existe Registro');
                               document.getElementById(id1).value='';
                               document.getElementById(id2).value='';
                               document.getElementById(id1).focus();
                           }

                }})

    }else{
        limpiar(id1,id2);
    }  

}